<template>
	<view>
		<web-view :src="url"></web-view>
	</view>
</template>

<script>
	import {
		cancelOrderByOrderNo
	} from '../../../../Utils/Api.js'
	export default {
		data() {
			return {
				url: '',
				orderNo:'',
				sourType:''
			}
		},
		onLoad(options) {
			this.url = decodeURIComponent(options.url);
			this.orderNo= options.orderid; 
			this.sourType = options.sour;
			// console.log('========'+options.sour);
		},
		onUnload() {
			// if(this.sourType != 'MOBILE'){
			// 	this.cancelOrderByOrderNo();
			// }
		},
		methods: {
		//取消订单
			cancelOrderByOrderNo() {
				let that = this;
				let params = {
					orderNo: this.orderNo,
				}
				cancelOrderByOrderNo(params).then(res => {
				})
			},
		}
	}
</script>

<style>

</style>
